package main

//There is no SMTP authentication method of auth login in the native net / SMTP package of golang, so you can refer to the gomail package to send the SMTP. Of course, you can build wheels according to the auth module in the native SMTP package
import (
    "fmt"
    "gomail"
    "log"
    "strconv"
)
func SendMail(mailTo []string, subject string, body string) error {
    mailConn := map[string]string{
        "apiUser": "*****",//apiuser
        "apiKey": "*****",//apikey
        "host": "smtp.sendcloud.net",
        "port": "587",
        "from": "do_not_reply@sendcloud.org",//The sender, use the correct email address instead
    }
    port, _ := strconv.Atoi(mailConn["port"]) //port type use int

    m := gomail.NewMessage()
    m.SetHeader("From",  m.FormatAddress(mailConn["from"], "哈哈哈哈")) //In this way, you can add aliases, that is, "fromname". If there are special characters such as Chinese, pay attention to character encoding
    m.SetHeader("To", mailTo...)
    m.SetHeader("Subject", subject) //Set message subject
    m.SetBody("text/html", body)    //Set message body
    m.Attach("F:/book/the go programming language.pdf", gomail.Rename("Qcon.pdf"),) //Attachment delivery

    d := gomail.NewDialer(mailConn["host"], port, mailConn["apiUser"], mailConn["apiKey"])

    err := d.DialAndSend(m)
    return err
}
func main() {
    //Define recipients
    mailTo := []string{
        "********",
    }
    subject := "Hello golang gomail"
    // Mail text
    body := "<p>For example:&nbsp;</p><p>Dear customer,&nbsp;</p><p>Mailbox registration.&nbsp;<br />The verification code is as follows: &nbsp;</p><p>Please do not tell this verification code to other personnel including customer service.</p>"

    err := SendMail(mailTo, subject, body)
    if err != nil {
        log.Println(err)
        fmt.Println("send fail")
        return
    }
    fmt.Println("send successfully")
}